%This script runs the SOC FF control model and plots results
close all
clear all
clc

%Load parameters necessary to run simulation
%This includes battery parameters and operating points/maps found in the
%optimization script from Module 3

load('Initialize.mat')

t_end=2000;   %Simulation time (s)

P_tractive=20*10^3;   %Tractive Power

SOC_init=20;  %Initial SOC
SOC_ref=10;   %Target SOC

I_error=1;    %Error in Current estimation

sim('SOC_FF')

%Plot important figures
figure
plot(time,SOC)
title('SOC Using FF Control')
xlabel('Time (s)')
ylabel('SOC')

figure
plot(time,T_req)
title('Engine Torque Requested by FF Controller')
xlabel('Time (s)')
ylabel('Torque (Nm)')

figure
plot(time,N_req)
title('Generator Speed Requested by FF Controller')
xlabel('Time (s)')
ylabel('Speed (RPM)')

figure
plot(time,T_eng)
title('Actual Engine Torque')
xlabel('Time (s)')
ylabel('Torque (Nm)')

figure
plot(time,N_gen)
title('Actual Generator Speed')
xlabel('Time (s)')
ylabel('Speed (RPM)')